GNU bug report logs - #32385
no code for module (guix build utils) - info-dir.drv - e921234d02 (master)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Chris Marusich <cmmarusich@HIDDEN>; Keywords: unreproducible; merged with #28144, #31294, #31367; dated Tue, 7 Aug 2018 04:13:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 32385 <at> debbugs.gnu.org:


Received: (at 32385) by debbugs.gnu.org; 20 Aug 2018 01:33:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 19 21:33:12 2018
Received: from localhost ([127.0.0.1]:54941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1frZ4C-00038t-1O
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2018 21:33:12 -0400
Received: from mail-pl0-f43.google.com ([209.85.160.43]:34158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1frZ4A-00038f-I3
 for 32385 <at> debbugs.gnu.org; Sun, 19 Aug 2018 21:33:10 -0400
Received: by mail-pl0-f43.google.com with SMTP id f6-v6so6269726plo.1
 for <32385 <at> debbugs.gnu.org>; Sun, 19 Aug 2018 18:33:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Us4KHtrWpKPd/fuUNN7M1hiIZtiEdLcF6qgdYIx7gAU=;
 b=uBrwitlZiZ3eVGhxjX9tjZeso6l02g0KZqT1B+U49BnQpWcN/8q24udtO2Sq3r1398
 VB3rUKNBfdNig6aUtM9efbhuLC3qtYvBPMmDFLE7iuLPnMK37I9Cv66o+BS5sZjmQQuL
 T6StVasEV9lrB4UmWYJ/ai+cHpOLkf52afREhUS668hMersChikC7i+Dc9bHNzdroCo9
 admaetCDQ1CWXiMsh6UNB8TpbW5YQg9/4bBEb3H5oAoQX6oSgP075ikmfryhkIzpkAtL
 KOFdidkQiFPhkoGKLn+aE1XBZ2XsZJ0joXcVpDe2SaYK7K8gNT3Z4//mYtZn681/Ep+U
 pVEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Us4KHtrWpKPd/fuUNN7M1hiIZtiEdLcF6qgdYIx7gAU=;
 b=CZJDHhHQKUscnvcecvui2pdYkkb+jMBz1b1i35vdmaPytfYOG4Tg4SKojcI0qTajgk
 YVYrHBSxt/+ZYglb4Z/NNdApiFxxrGgqut5r0I+k7CmUqzzzBjavj75hr5YJNCF1eI6b
 gvBqi3GrK9xteu6+iOW3P1LkoSgBhClXe71snULl3mEy2zsMB1ogHHISM//xlrrw30q3
 j/Tw/polMcBmtmh8LfvKRojzT107otspN1WuH/cBBYPTMFaglkX0MPqqLFcK1fSZePYO
 F1+0o+pRnE0OJjfEO4EuwWAb/4S95NSyfqQ4nGzt/ZvPqSiW7ncf3tKfenHr+6E0oz8v
 jVrA==
X-Gm-Message-State: AOUpUlEl4606A/NL5XE48o13xQRwBd5nGgdtSFFTUs63D+l3kA108BX4
 iDZjB1KC0fU9N8VCy1XK0GNX1YrY
X-Google-Smtp-Source: AA+uWPxominj57vhspORJygyqp7JKfyJiz4QI24LnOU38wWmu2fXESYa6mGbQjojxvdZCQYdo6fCkA==
X-Received: by 2002:a17:902:42e2:: with SMTP id
 h89-v6mr42982052pld.69.1534728784298; 
 Sun, 19 Aug 2018 18:33:04 -0700 (PDT)
Received: from garuda.local ([172.58.40.169])
 by smtp.gmail.com with ESMTPSA id 3-v6sm12845707pfq.10.2018.08.19.18.33.01
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 19 Aug 2018 18:33:02 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#32385: no code for module (guix build utils) - info-dir.drv -
 e921234d02 (master)
References: <878t5in7cd.fsf@HIDDEN> <87k1omh1xd.fsf@HIDDEN>
Date: Sun, 19 Aug 2018 18:32:56 -0700
In-Reply-To: <87k1omh1xd.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sun, 19 Aug 2018 16:21:50 +0200")
Message-ID: <876005om9j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32385
Cc: 32385 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> What version of Guile did you use to compile Guix?
>
> (If you used =E2=80=98guix pull=E2=80=99, then Guile 2.2.4 was used.)

Yes, I believe it was Guile 2.2.4.  I reported the bug on August 6th.
The last time I ran "guix pull" before reporting the bug was on July
29th.  The version reported by "guix environment guix -- guile
=2D-version" when using that July 29th Guix installation is 2.2.4.

Is that the information you were looking for?

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlt6GkgACgkQ3UCaFdgi
Rp0Pyg/8D/67EULQTaXVhoQc+DzKdtQNQ/1qERKYGBG9FAmtTXvFAAgg06Tg3KIR
DKOvxuzSFHh1SFfwwM+EpW9eI0ZgJP/fC/k5tti3dBZAGuRw7BADfy0G6q6jYSVS
DiArAv6zaWkLhsZdsXZBl4EG48C+kLwP3qSkhEmHFZXwjd9PgfGFESZXWz4SPQBJ
s0awiRDutM0eRtYFi8cQDcMxapytzsZbcA39j0Ddvr0u01jfb6/kU///44YoCWjp
an4UrVGzq3TPEKpDRqlrDNCHh4NQxEQX6ilW8MzzJxmvLKENbligi4zvlxgnzcKc
X0ITHkES8TG8HJvSGC3jf+ytj0gCRQAPqlKcdVs6ZLyvsq5g8CIVVPz5P6WuT4rb
31hbap9NFuih2aHNBEJcks9GasWGr0BOGncfvxiIOhl+E8psLo6aUsJn6FDbFrxo
/J/aD4pKtFw55yZOvdBnaGi7d2wtQUzCcYc4xDSfQ5LRbwc3OhdPDcqSTbSBalST
T7m7JG002UK+ejmPfjSB34+XJdI+XOFwICnOPPgwmm0LXsAyi/5zHZpEGIhjnM3t
YrfoFa2Fdo0btI7y9B6Q8PX/o8FDhIgOVs1+iOyXC5nrl+g7nzAE0kkueAU+/inr
e45Iun6pjtQVNEI+ll8fCr75SjB34Rgqko1IhF5qvvCVpRLWGG0=
=bxk/
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#32385; Package guix. Full text available.

Message received at 32385 <at> debbugs.gnu.org:


Received: (at 32385) by debbugs.gnu.org; 19 Aug 2018 14:21:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 19 10:21:58 2018
Received: from localhost ([127.0.0.1]:54729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1frOac-0008Vk-Nz
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2018 10:21:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51757)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1frOab-0008VX-Ht
 for 32385 <at> debbugs.gnu.org; Sun, 19 Aug 2018 10:21:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1frOaV-0000iA-V6
 for 32385 <at> debbugs.gnu.org; Sun, 19 Aug 2018 10:21:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50404)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1frOaV-0000i3-SL; Sun, 19 Aug 2018 10:21:51 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=50750 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1frOaV-0003So-Kv; Sun, 19 Aug 2018 10:21:51 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Chris Marusich <cmmarusich@HIDDEN>
Subject: Re: bug#32385: no code for module (guix build utils) - info-dir.drv -
 e921234d02 (master)
References: <878t5in7cd.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 2 Fructidor an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 19 Aug 2018 16:21:50 +0200
In-Reply-To: <878t5in7cd.fsf@HIDDEN> (Chris Marusich's message of "Mon, 06
 Aug 2018 21:12:02 -0700")
Message-ID: <87k1omh1xd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32385
Cc: 32385 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Chris,

Chris Marusich <cmmarusich@HIDDEN> skribis:

> On commit e921234d02 (current master branch head), I've noticed that
> attempting to run "guix system reconfigure" using pre-inst-env on one of
> my x86_64-linux systems fails with a message like:
>
> ERROR In procedure scm-error:
> no code for module (guix build utils)
> builder for `/gnu/store...j1kz-info-dir.drv' failed with exit code 1

What version of Guile did you use to compile Guix?

(If you used =E2=80=98guix pull=E2=80=99, then Guile 2.2.4 was used.)

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#32385; Package guix. Full text available.
Merged 28144 31294 31367 32385. Request was from Chris Marusich <cmmarusich@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Chris Marusich <cmmarusich@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 32385-close <at> debbugs.gnu.org:


Received: (at 32385-close) by debbugs.gnu.org; 10 Aug 2018 06:13:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 10 02:13:14 2018
Received: from localhost ([127.0.0.1]:46293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fo0fi-0008Gq-F2
	for submit <at> debbugs.gnu.org; Fri, 10 Aug 2018 02:13:14 -0400
Received: from mail-pl0-f50.google.com ([209.85.160.50]:44332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1fo0fh-0008GY-8e
 for 32385-close <at> debbugs.gnu.org; Fri, 10 Aug 2018 02:13:13 -0400
Received: by mail-pl0-f50.google.com with SMTP id ba4-v6so3591614plb.11
 for <32385-close <at> debbugs.gnu.org>; Thu, 09 Aug 2018 23:13:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=lLGj9xBQurmMTYQnOYGCM+CDDfKa8edW7FDPtU385Og=;
 b=ZSBm/ZCrmxjqWCNDAx+JRjMMzEHNm4S7opbPBpNI5QXVpS1ZX7D+9h71GL1kM9wgnp
 bADUDOTT+V7ClC+uhDIB1cgC/hF/Nvz5IZLMrQkBNCoX5zsOJy9XA8H45bOKKIz23mdu
 OPjwC1IJZlArLm1TFe8Q8CJiVuXtofMIPDJ0Tg82UCuz6mZtg4NhOg119dXltElZDHea
 p5EvKcIDE2x8gqpWHfm0f99M2J60Oco24pNhr0NpHowISS2FUZrnz5jMMINFJ2DrK8c7
 pzxMaSysZefRqw7P/N9G0gvcTAIH9bSyfqCtsme/xUPjgxObxuDVDDs/zbYhtxdqJei6
 DfXg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=lLGj9xBQurmMTYQnOYGCM+CDDfKa8edW7FDPtU385Og=;
 b=uKByxFJJ80DOXexrFEyU1a1zp4CmDdFLtq+CTQ0BO1n0S30LWuAs65fCeoSXSlJnvj
 LOqeYL85zgPk9zxIOdsSt5abvgTdeavJFsEWxpYm8Q7Jvvkoles8unAQSoPj9VMIf7tB
 YsnX/rKfs8kFIV4x8SBQRYHW+LqZG73twqoj5GVOfNjT2Usdh/sulEMCxxNpzArBDGNh
 nmeHcLGUCinFTZM8W+feet5dV0P5ZV3oNjdS7S+hG1t9lcCwxjmm1McmlKKBNdLNYByA
 4jnwzfz9ZH9shSpUdWC49vYN0yPxvrKvj81fFfnKxceGQlXmbqgoAkGVcmFKBXFod0YB
 F2FQ==
X-Gm-Message-State: AOUpUlEfgVq1MTbb004/+cHA7VIqjVXag/5O0a//uZF0TH7AJFXYEPp4
 xaJBPgs90PnaA90xGOuPbEkyS3A8
X-Google-Smtp-Source: AA+uWPypN/LueA3pzAkv6RdcX5IVTTi8LqSJpDN+7/b6eCz3/zni5tMTYis+BU3NV2VZsHjeiVWGAw==
X-Received: by 2002:a17:902:6909:: with SMTP id
 j9-v6mr4818819plk.196.1533881586871; 
 Thu, 09 Aug 2018 23:13:06 -0700 (PDT)
Received: from garuda.local ([2601:602:9d02:4725:6495:ba21:1ebe:620a])
 by smtp.gmail.com with ESMTPSA id m26-v6sm20630315pfi.102.2018.08.09.23.13.04
 for <32385-close <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 09 Aug 2018 23:13:05 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: 32385-close <at> debbugs.gnu.org
Subject: Close 32385 as duplicate of 28144
Date: Thu, 09 Aug 2018 23:12:58 -0700
Message-ID: <87r2j692c5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32385-close
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


I'm closing this bug report, since I'm having trouble reproducing it
reliably, and in any case it seems to be a duplicate of 28144.

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlttLOoACgkQ3UCaFdgi
Rp1xCxAA1d9dnhbOy3pcnLX6SKAZlLGdttuij4eiGzNnU48Sr8UlbgGRk9amSWWQ
9z9A3dSkM5haEo2ZODjfxSuFfyqnBMCqM3OVz5b3EhBbivaDfrk1Y4epUykvJVNO
w+YT4TrQBbBXBZsHgkfHKdVToK1TQfyPxfR4lpy39RhL7AOu+jztAPaRvtAKvgw3
3PZgbLHlX49/cinKElVoKn23rwnP2Q7IWONT7ayGqTaIWtOSo+5l0a7g5xTWUlh6
0RBr6RKwEfQnBbR9O/ykw/3H4/aVa1kG+AbXA7aac2xIY4jKy6VJ/NzqUkBtpHGV
twTfh515Io5uagU6aprnBCbaKQsphbBm18tiysvYquxR6vTzGcpwXpb/9HAdllCI
p3d1GpBFvArOl9xl7xM842iHAGoAlCpONTx68+TH6Qor9GlcI1ZPyI+JD1bqUeva
5NLzXsYdyPhaZocPo+RKXX5bOB1OD2pO0cWfDMn+octaKbxaCWtyrKd4SOxrrzVZ
aLIxxSiQfFCMrl8ec1CIqSFpDMfVmfFY03dSvVkKFjEWG7psLIOGkwNjbrveSp4L
j5X45aXNbiOFoy0dNTugBqTMZJN1Y6DZ4PrGZEUyee5iHIhYa6KQg6uIH/+SN0i3
uvYFqzNo4WocBYK53A0075OZ9J7LGA4VppUBJy8RFqo11L6pAvU=
=peg3
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Chris Marusich <cmmarusich@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Chris Marusich <cmmarusich@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Aug 2018 04:12:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 07 00:12:37 2018
Received: from localhost ([127.0.0.1]:43091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fmtML-0005gu-86
	for submit <at> debbugs.gnu.org; Tue, 07 Aug 2018 00:12:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1fmtMJ-0005gg-7q
 for submit <at> debbugs.gnu.org; Tue, 07 Aug 2018 00:12:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cmmarusich@HIDDEN>) id 1fmtMD-00038Y-79
 for submit <at> debbugs.gnu.org; Tue, 07 Aug 2018 00:12:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41932)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <cmmarusich@HIDDEN>)
 id 1fmtMD-00038S-3J
 for submit <at> debbugs.gnu.org; Tue, 07 Aug 2018 00:12:29 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51395)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cmmarusich@HIDDEN>) id 1fmtMB-0007L0-Lv
 for bug-guix@HIDDEN; Tue, 07 Aug 2018 00:12:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cmmarusich@HIDDEN>) id 1fmtMA-00037g-Qw
 for bug-guix@HIDDEN; Tue, 07 Aug 2018 00:12:27 -0400
Received: from mail-pl0-x230.google.com ([2607:f8b0:400e:c01::230]:45701)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <cmmarusich@HIDDEN>)
 id 1fmtMA-00037Q-IU
 for bug-guix@HIDDEN; Tue, 07 Aug 2018 00:12:26 -0400
Received: by mail-pl0-x230.google.com with SMTP id j8-v6so6514988pll.12
 for <bug-guix@HIDDEN>; Mon, 06 Aug 2018 21:12:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=9iEJ96I75OKhfNrVo1toT9ZSv8bm78FG8WjLLN8X0As=;
 b=DjXKBT8stUr347Zuqr7JnmBFmMXh2W5S04INhQtxdhc462HsgifbYbmCndpVweaDaE
 ugGvOCzCpVb2Vs3//eXTCOig2e2tslOVbzTQ5HI7ko6gvCEPs+5eEv/RHEUWH7ioI71/
 uXrn6y9/dL9AdayuWYik8X2Ef+JqzEHJuVrM7UlXaCxkkCU1u5vb3z2HRhglBcEvFyWK
 tzdxgy86lpr7poOIkIGvlV2sGmKnTrgkDXzCiyC248wEwMcPfduvam5RMzIl12UjywPh
 t9JTpe+8kZMVjF3PqHJ8Pg2GAFgU77p3te5YBTmvqzaT1MaE41Nxx3VoKs/xAKp2iMDw
 EStA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=9iEJ96I75OKhfNrVo1toT9ZSv8bm78FG8WjLLN8X0As=;
 b=jb1FvdKyv/fhGbzWaeDEQ4l7uU2GTNwpzYXt/LE6IrFGpMd895YCwl/JIcW+PFv04q
 8DA6qHTRuH8hh5TKWlP1oM5aMFz5lUwR2VZcE65AIe7fE6YJWDOsIb8JO4frXDdxGP0K
 067Gk/aY5IHEWA6/5+sFpWTG1M4M6gUhexLzPL28SFU0EWwV1lAnCFIHqFeeSQHSxTaG
 2GT3nvMDUE6ReP295EZ3/pUq96kqUiqG2CBLzTDjzGZOaRVUk2tecP6ZXRRV1HK2q+do
 0LRXkn4fXeCw8nqovk0J8BzKaa3a4+9FLSJNUQFvbMKDNkQNJlRHyDwbjBFsPLR9FmtX
 oBWw==
X-Gm-Message-State: AOUpUlEjeWF7qLU72KNZ0ZkYjP/VR6UI9sAIoT8L8n34mA00MN15ZUGH
 Fb6mdbOedqQ3tqzcny7kQ90B+BdB
X-Google-Smtp-Source: AAOMgpffuwbO6nhVwmg+ud8jMg12SNepLPg6dnKlTqfi6/Ozkc3//NN7OXe5M1Adky9LE32xbleM4g==
X-Received: by 2002:a17:902:4d45:: with SMTP id
 o5-v6mr16132688plh.78.1533615145037; 
 Mon, 06 Aug 2018 21:12:25 -0700 (PDT)
Received: from garuda.local ([2601:602:9d02:4725:6495:ba21:1ebe:620a])
 by smtp.gmail.com with ESMTPSA id v30-v6sm327804pgn.80.2018.08.06.21.12.23
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 06 Aug 2018 21:12:23 -0700 (PDT)
From: Chris Marusich <cmmarusich@HIDDEN>
To: bug-guix@HIDDEN
Subject: no code for module (guix build utils) - info-dir.drv - e921234d02
 (master)
Date: Mon, 06 Aug 2018 21:12:02 -0700
Message-ID: <878t5in7cd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi,

On commit e921234d02 (current master branch head), I've noticed that
attempting to run "guix system reconfigure" using pre-inst-env on one of
my x86_64-linux systems fails with a message like:

ERROR In procedure scm-error:
no code for module (guix build utils)
builder for `/gnu/store...j1kz-info-dir.drv' failed with exit code 1

(I've abbreviated the store path above.)

I am able to reproduce the issue using the bare-bones template:

./pre-inst-env guix system build gnu/system/examples/bare-bones.tmpl

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAltpHBIACgkQ3UCaFdgi
Rp3vphAAhFtfGNXfUsYhlV08deRNQ0+FzvI96O6ktP6o2co8Yt3DE9u0xty00x9J
JB9GUX7XcvDtCUTmrzQiId406Czw2Bgbe4Ixci7AQiu4HM1WeaRhxiKfEX3uro4j
//QTWPS2XY9BMN3RPpc2/b4ievTFAaapUpwniN9Gq322ROE7y/Xj+Os2wJys66Qk
UG08D6KHZclG2GqzNdp9UbbTGkQkKcusTYW/XXg5KVRBOzi5YKHRWPaM+IG2UY4M
Pi/vAB4Czs1zt3UvBXMje9adsb3RRwE4dDZ34z7Vuqu6vnauSp2lZ2kuhOGS7O3a
ye1AZdNK0vIiTxYgB+tI3kIri9+ml4E7/MZhZkXS7fRt0xg7yIzoFaHSEaMJ9mdX
boZ4oMFT7gSLiEYxXrWTmB2CKn0kvu+jzMVaTp130HyXrQ+8R3o9RmaxYgbBIn3+
b7UfFAtA/l7/6gJXR8RRmoE3yN77xYGyYSyZAgfmNBTCJQ2vlGdk981PqYFXTPU4
op/2EKUEJxrp4B8fODjApYU7AQDxeTvD2SFCk/1/1cu2Vga71kFSkOQ5no0SFb21
cQwgoKS6gO5Smf1Y4frYcCv+ARyHDwlYZiBz/bCTYJefP/TpJ1p9O2NP0UzvmZ9Q
53oXA5IRu+l75DKXgdHI4f0aUtf0hjDr4PRy/KuZkRxyK0fypig=
=MYJw
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Chris Marusich <cmmarusich@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#32385; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Aug 2018 01:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.